Bug 834246

Summary: can't boot - kernel panic
Product: [Fedora] Fedora Reporter: Karel Volný <kvolny>
Component: grubbyAssignee: Peter Jones <pjones>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: unspecified    
Version: 19CC: bcl, collura, dracut-maint, gansalmon, harald, itamar, jonathan, kernel-maint, madhu.chinakonda, pjones
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-02-17 09:18:05 EST Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
dracut.log none

Description Karel Volný 2012-06-21 06:12:23 EDT
Description of problem:
After the recent update, I am unable to boot, kernel panics because not being able to mount something (I haven't written down the message, can provide photo of the screen later, if needed). Previous versions worked just fine.

Version-Release number of selected component (if applicable):
kernel-3.4.3-1.fc17.x86_64

How reproducible:
always

Additional info:
it looks like the problem is that the initrd is not set, compare the grub.cfg entries:

menuentry 'Fedora (3.4.3-1.fc17.x86_64)' --class fedora --class gnu-linux --class gnu --class os $menuentry_id_option 'gnulinux-simple-9d2fc352-e558-4fc6-a439-278f538c192b' {
        load_video
        set gfxpayload=keep
        insmod gzio
        insmod part_msdos
        insmod ext2
        set root='hd1,msdos1'
        if [ x$feature_platform_search_hint = xy ]; then
          search --no-floppy --fs-uuid --set=root --hint-bios=hd0,msdos1 --hint-efi=hd0,msdos1 --hint-baremetal=ahci0,msdos1 --hint='hd1,msdos1'  9d2fc352-e558-4fc6-a439-278f538c192b
        else
          search --no-floppy --fs-uuid --set=root 9d2fc352-e558-4fc6-a439-278f538c192b
        fi
        echo 'Loading Fedora (3.4.3-1.fc17.x86_64)'
        linux   /boot/vmlinuz-3.4.3-1.fc17.x86_64 root=UUID=9d2fc352-e558-4fc6-a439-278f538c192b ro rd.md=0 rd.lvm=0 rd.dm=0 SYSFONT=True  KEYTABLE=cz-lat2 rd.luks=0 LANG=cs_CZ.UTF-8 rhgb quiet
        echo 'Loading initial ramdisk ...'
}
menuentry 'Fedora (3.4.0-1.fc17.x86_64)' --class fedora --class gnu-linux --class gnu --class os $menuentry_id_option 'gnulinux-simple-9d2fc352-e558-4fc6-a439-278f538c192b' {
        load_video
        set gfxpayload=keep
        insmod gzio
        insmod part_msdos
        insmod ext2
        set root='hd1,msdos1'
        if [ x$feature_platform_search_hint = xy ]; then
          search --no-floppy --fs-uuid --set=root --hint-bios=hd0,msdos1 --hint-efi=hd0,msdos1 --hint-baremetal=ahci0,msdos1 --hint='hd1,msdos1'  9d2fc352-e558-4fc6-a439-278f538c192b
        else
          search --no-floppy --fs-uuid --set=root 9d2fc352-e558-4fc6-a439-278f538c192b
        fi
        echo 'Loading Fedora (3.4.0-1.fc17.x86_64)'
        linux   /boot/vmlinuz-3.4.0-1.fc17.x86_64 root=UUID=9d2fc352-e558-4fc6-a439-278f538c192b ro rd.md=0 rd.lvm=0 rd.dm=0 SYSFONT=True  KEYTABLE=cz-lat2 rd.luks=0 LANG=cs_CZ.UTF-8 rhgb quiet
        echo 'Loading initial ramdisk ...'
        initrd /boot/initramfs-3.4.0-1.fc17.x86_64.img
}



the file doesn't exist at all:

# ls /boot/init*
/boot/initramfs-3.3.7-1.fc17.x86_64.img  /boot/initramfs-3.4.0-1.fc17.x86_64.img


looks like the creation has failed in postinstall - it may be a dracut problem, however filing for kernel, as I'm really not sure what is being done exactly, feel free to reassign as needed, thanks
Comment 1 Josh Boyer 2012-06-21 08:47:20 EDT
We'll start with dracut.  That is called by grubby when installing the new kernel.
Comment 2 Harald Hoyer 2012-06-25 08:02:19 EDT
menuentry 'Fedora (3.4.3-1.fc17.x86_64)' is missing the initramfs image entry... reassigning to grubby
Comment 3 Brian Lane 2012-06-27 11:51:07 EDT
What version of grubby do you have installed?
Comment 4 Karel Volný 2012-06-28 05:39:28 EDT
(In reply to comment #3)
> What version of grubby do you have installed?

grubby-8.12-1.fc17.x86_64
Comment 5 Fedora End Of Life 2013-07-03 22:38:23 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Karel Volný 2013-07-04 07:11:37 EDT
cool, I got the same after trying to upgrade to F19 ...

from grub.cfg:

menuentry 'Fedora (3.9.8-300.fc19.x86_64) 19 (Schrödinger’s Cat)' --class fedora --class gnu-linux --class gnu --class os $menuentry_id_option 'gnulinux-simple-9d2fc352-e558-4fc6-a439-278f538c192b' {
        load_video
        set gfxpayload=keep
        insmod gzio
        insmod part_msdos
        insmod ext2
        set root='hd1,msdos1'
        if [ x$feature_platform_search_hint = xy ]; then
          search --no-floppy --fs-uuid --set=root --hint-bios=hd0,msdos1 --hint-efi=hd0,msdos1 --hint-baremetal=ahci0,msdos1 --hint='hd1,msdos1'  9d2fc352-e558-4fc6-a439-278f538c192b
        else
          search --no-floppy --fs-uuid --set=root 9d2fc352-e558-4fc6-a439-278f538c192b
        fi
        echo 'Loading Fedora (3.9.8-300.fc19.x86_64) 19 (Schrödinger’s Cat)'
        linux   /boot/vmlinuz-3.9.8-300.fc19.x86_64 root=UUID=9d2fc352-e558-4fc6-a439-278f538c192b ro rd.md=0 rd.lvm=0 rd.dm=0 SYSFONT=True  KEYTABLE=cz-lat2 rd.luks=0 LANG=cs_CZ.UTF-8 rhgb quiet
        echo 'Loading initial ramdisk ...'
}


reinstalling kernel (well, uninstalling and installing, as yum complains that the package is unavailable???) fixes the issue:

menuentry 'Fedora (3.9.8-300.fc19.x86_64) 19 (Schrödinger’s Cat)' --class fedora --class gnu-linux --class gnu --class os $menuentry_id_option 'gnulinux-simple-9d2fc352-e558-4fc6-a439-278f538c192b' {
        load_video
        set gfxpayload=keep
        insmod gzio
        insmod part_msdos
        insmod ext2
        set root='hd1,msdos1'
        if [ x$feature_platform_search_hint = xy ]; then
          search --no-floppy --fs-uuid --set=root --hint-bios=hd0,msdos1 --hint-efi=hd0,msdos1 --hint-baremetal=ahci0,msdos1 --hint='hd1,msdos1'  9d2fc352-e558-4fc6-a439-278f538c192b
        else
          search --no-floppy --fs-uuid --set=root 9d2fc352-e558-4fc6-a439-278f538c192b
        fi
        echo 'Loading Fedora (3.9.8-300.fc19.x86_64) 19 (Schrödinger’s Cat)'
        linux   /boot/vmlinuz-3.9.8-300.fc19.x86_64 root=UUID=9d2fc352-e558-4fc6-a439-278f538c192b ro rd.md=0 rd.lvm=0 rd.dm=0 SYSFONT=True  KEYTABLE=cz-lat2 rd.luks=0 LANG=cs_CZ.UTF-8 rhgb quiet
        echo 'Loading initial ramdisk ...'
        initrd /boot/initramfs-3.9.8-300.fc19.x86_64.img
}


... so, the question is under what circumstances it may happen, I don't know how to reproduce (F18 => F19 upgrade has passed without any problem on another machine)
Comment 7 Harald Hoyer 2013-07-04 07:29:06 EDT
can you attach /var/log/dracut.log ?
Comment 8 Karel Volný 2013-07-04 08:25:21 EDT
Created attachment 768746 [details]
dracut.log

I've did the upgrade overnight while the first record is from afternoon - which was the reinstall attempt

but the previous rotated file is dracut.log-20130625 - a few days before the upgrade

so it seems dracut wasn't called at all on the upgrade attempt? - strange ...
Comment 9 Harald Hoyer 2013-07-04 08:40:26 EDT
sidenote:
cleanup the anaconda buggy mess:
please remove SYSFONT=True in grub.conf
and correct /etc/vconsole.conf with FONT=latarcyrheb-sun16
Comment 10 Karel Volný 2013-07-23 09:54:24 EDT
(In reply to Harald Hoyer from comment #9)
> sidenote:
> cleanup the anaconda buggy mess:
> please remove SYSFONT=True in grub.conf
> and correct /etc/vconsole.conf with FONT=latarcyrheb-sun16

well, shouldn't these be reported somewhere (grub/systemd or the upgrade tool/guide)?
Comment 11 Fedora End Of Life 2015-01-09 12:12:26 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Fedora End Of Life 2015-02-17 09:18:05 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.